Bug 1248753 - Auto attach dialog can't be cancelled, and there is no progress slider
Auto attach dialog can't be cancelled, and there is no progress slider
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 14:27 EDT by Sean Toner
Modified: 2015-09-30 12:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-30 12:34:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
shows auto-attach dialog (309.09 KB, image/png)
2015-07-30 14:27 EDT, Sean Toner
no flags Details
auto attach dialog that shows need of 'next/attach' (22.52 KB, image/png)
2015-09-29 17:21 EDT, Adrian Likins
no flags Details

  None (edit)
Description Sean Toner 2015-07-30 14:27:42 EDT
Created attachment 1057803 [details]
shows auto-attach dialog

Description of problem:
=======================

The auto attach dialog has a Cancel and Next button.  The Cancel, which a user might want to do is non-functional, and it seems to me the Next button is unnecessary.

Also, the progress bar does not have a blue slider at all, it is empty.  So there is no information to the user provided what is going on.


Version-Release number of selected component (if applicable):
=============================================================

subscription-manager-gui-1.15.6-1.el7.x86_64


How reproducible:
=================

Always

Steps to Reproduce:
===================

1. Go to All Available Subscriptions
2. Click the Auto Attach button

See screenshot

Actual results:


Expected results:


Additional info:
Comment 3 John Sefler 2015-09-25 12:26:33 EDT
Please re-check the latest subscription-manager-gui to determine if this is still a bug or has been fixed by an other bug.
Comment 4 Sean Toner 2015-09-25 14:31:11 EDT
So the Cancel button will cancel out of auto attaching, but the Next button still seems useless to me, and in fact is confusing.

It seems that the Next button should not be there, unless there is a compelling use case for it.
Comment 5 Adrian Likins 2015-09-29 17:21 EDT
Created attachment 1078473 [details]
auto attach dialog that shows need of 'next/attach'

Not sure I understand this bug.

The 'Auto-attach' dialog can required multiple steps.
Not always, but not uncommon either. Either
on contract selection or on 'Confirm Subscriptions' for example.
Comment 6 Adrian Likins 2015-09-29 17:24:38 EDT
https://github.com/candlepin/subscription-manager/tree/alikins/register_dialog_cancel_button_again is a branch
with a change to make the 'Auto-attach' dialog include normal
window decorations including 'cancel'.

That branch also adds back the 'Cancel' button.

(need to do the rhel6 glade for it yet, so not a pr yet)
Comment 7 Chris Snyder 2015-09-30 12:34:36 EDT
We can;t reasonably kill the async process. The user can manually unsubscribe once the process completes.

Note You need to log in before you can comment on or make changes to this bug.